Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces UI Components UI 4.1.0.CR2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.component
Class AbstractDropTarget

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              org.richfaces.component.AbstractDropTarget

All Implemented Interfaces:
  EventListener, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder, javax.faces.component.TransientStateHolder, javax.faces.event.ComponentSystemEventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListenerHolder

Direct Known Subclasses:
  UIDropTarget

    public abstract class AbstractDropTarget

extends javax.faces.component.UIComponentBase

Author:
  abelevich

Field Summary
`static String` | `COMPONENT_FAMILY`
`static String` | `COMPONENT_TYPE`

Fields inherited from class javax.faces.component.UIComponent
`ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

Constructor Summary
`AbstractDropTarget()`

Method Summary
`void` | `addDropListener(org.richfaces.event.DropListener listener)`
`void` | `broadcast(javax.faces.event.FacesEvent event)`
`abstract Object` | `getAcceptedTypes()`
`abstract Object` | `getData()`
`org.richfaces.event.DropListener[]` | `getDropListeners()`
`abstract Object` | `getDropValue()`
`abstract Object` | `getExecute()`
`abstract String` | `getOnbeforedomupdate()`
`abstract String` | `getOnbegin()`
`abstract String` | `getOncomplete()`
`abstract Object` | `getRender()`
`abstract String` | `getStatus()`
`abstract boolean` | `isBypassUpdates()`
`abstract boolean` | `isImmediate()`
`abstract boolean` | `isLimitRender()`
`void` | `queueEvent(javax.faces.event.FacesEvent event)`
`void` | `removeDropListener(org.richfaces.event.DropListener listener)`

Methods inherited from class javax.faces.component.UIComponentBase
`addClientBehavior, addFacesListener, clearInitialState, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientBehaviors, getClientId, getDefaultEventName, getEventNames, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getListenersForEventClass, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, markInitialState, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, removeFacesListener, restoreAttachedState, restoreState, saveAttachedState, saveState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding, subscribeToEvent, unsubscribeFromEvent`

Methods inherited from class javax.faces.component.UIComponent
`encodeAll, getClientId, getCompositeComponentParent, getContainerClientId, getCurrentComponent, getCurrentCompositeComponent, getFamily, getNamingContainer, getResourceBundleMap, getStateHelper, getStateHelper, getTransientStateHelper, getTransientStateHelper, getValueExpression, initialStateMarked, isCompositeComponent, isInView, isVisitable, popComponentFromEL, processEvent, pushComponentToEL, restoreTransientState, saveTransientState, setInView, setValueExpression, visitTree`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### COMPONENT_TYPE

    public static final String COMPONENT_TYPE

See Also:
  Constant Field Values

### COMPONENT_FAMILY

    public static final String COMPONENT_FAMILY

See Also:
  Constant Field Values

Constructor Detail

### AbstractDropTarget

    public AbstractDropTarget()

Method Detail

### getDropValue

    public abstract Object getDropValue()

### isImmediate

    public abstract boolean isImmediate()

### isBypassUpdates

    public abstract boolean isBypassUpdates()

### getExecute

    public abstract Object getExecute()

### getRender

    public abstract Object getRender()

### getAcceptedTypes

    public abstract Object getAcceptedTypes()

### isLimitRender

    public abstract boolean isLimitRender()

### getData

    public abstract Object getData()

### getStatus

    public abstract String getStatus()

### getOnbeforedomupdate

    public abstract String getOnbeforedomupdate()

### getOncomplete

    public abstract String getOncomplete()

### getOnbegin

    public abstract String getOnbegin()

### addDropListener

    public void addDropListener(org.richfaces.event.DropListener listener)

### getDropListeners

    public org.richfaces.event.DropListener[] getDropListeners()

### removeDropListener

    public void removeDropListener(org.richfaces.event.DropListener listener)

### queueEvent

    public void queueEvent(javax.faces.event.FacesEvent event)

  Overrides:
    `queueEvent` in class `javax.faces.component.UIComponentBase`

### broadcast

    public void broadcast(javax.faces.event.FacesEvent event)
                   throws javax.faces.event.AbortProcessingException

  Overrides:
    `broadcast` in class `javax.faces.component.UIComponentBase`
  Throws:
    `javax.faces.event.AbortProcessingException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces UI Components UI 4.1.0.CR2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 JBoss, a division of Red Hat, Inc.. All Rights Reserved.